Download it now!
Bug 119772 - insert field always goes to layout layer, even if it is not the active layer and despite layout layer is locked
Summary: insert field always goes to layout layer, even if it is not the active layer ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Layers
  Show dependency treegraph
 
Reported: 2018-09-09 21:01 UTC by Regina Henschel
Modified: 2019-10-02 02:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-09-09 21:01:13 UTC
Start with a new document in Draw. Insert a Layer as e.g. Layer 4 and switch to it.
Insert > Field, e.g. Time(variable).
Seen behavior: Field is on layer "Layout".
Expected behavior: Field is on the active layer "Layer 4".

Go to layer "Layout" and lock it.
Go to Insert > Field. Notice all options are disabled, what is correct.
Go to layer "Layer 4".
Go to Insert > Field > Page Number.
Seen behavior: The field is on layer "Layout", although that layer is locked. You cannot select it.
Expected behavior: Field is inserted on active layer "Layer 4".
Comment 1 Buovjaga 2018-10-01 18:44:17 UTC
Repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: d357ea1d1ff95cb5ce2ee6b4828afa2484707256
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 28 September 2018
Comment 2 QA Administrators 2019-10-02 02:57:03 UTC
Dear Regina Henschel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug